petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscViewerHDF5GetCollective

Return flag whether collective MPI-IO transfer mode is used for HDF5 reads and writes.

### Synopsis

    #include "petscviewerhdf5.h"
    PetscErrorCode PetscViewerHDF5GetCollective(PetscViewer viewer,PetscBool *flg)

Not Collective

### Input Parameters

viewer -the HDF5 PetscViewer

### Output Parameters

flg -the flag

### Notes

This setting works correctly only since HDF5 1.10.3 and if HDF5 was installed for MPI. For older versions, PETSC_FALSE will be always returned. For more details, see PetscViewerHDF5SetCollective().

### See Also

PetscViewerHDF5SetCollective(), PetscViewerCreate(), PetscViewerSetType(), PetscViewerHDF5Open()

### Level

intermediate

### Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c

### Implementations

PetscViewerHDF5GetCollective_HDF5 in src/sys/classes/viewer/impls/hdf5/hdf5v.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages